Summary:	The GNU versions of grep pattern matching utilities.
Name:		grep
Group:		Applications/Text
License:	GPL
Version:	2.5
Release:	2
Source:		ftp://ftp.gnu.org/pub/gnu/grep/grep-%{version}.tar.bz2
Patch:		grep-2.4.2-i18n.patch
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The GNU versions of commonly used grep utilities.  Grep searches
through textual input for lines which contain a match to a specified
pattern and then prints the matching lines.  GNU's grep utilities
include grep, egrep and fgrep.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog
  %doc %{_infodir}/grep.info*
  %doc %{_mandir}/man1/*

  %attr(0511,root,root)		%{_root_bindir}/grep
  %attr(0511,root,root)		%{_root_bindir}/egrep
  %attr(0511,root,root)		%{_root_bindir}/fgrep

%prep
%setup -q

%build
  %configure --without-included-regex
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall LDFLAGS=-s prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT}
  mkdir -p $RPM_BUILD_ROOT/%{_root_bindir}

  mv $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT/%{_root_bindir}
  rm -rf $RPM_BUILD_ROOT%{_bindir}

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.5, Release 2
  - Handle compressed info pages.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
